### Hierarchy

- FlashMessage

## Index

### Properties

- active
- activeClass
- el
- message

### Methods

- dismiss
- render
- show

## Properties

### active

active: boolean = false

- Defined in flash-message/flash-message.tsx:12

### activeClass

activeClass: string = "primary"

- Defined in flash-message/flash-message.tsx:14

### el

el: HTMLElement

- Defined in flash-message/flash-message.tsx:10

### message

message: string

- Defined in flash-message/flash-message.tsx:13

## Methods

### dismiss

- dismiss(): void

- - Defined in flash-message/flash-message.tsx:29

  #### Returns void

### render

- render(): any

- - Defined in flash-message/flash-message.tsx:35

  #### Returns any

### show

- show(message: string, activeClass: string, duration?: number): Promise<void>

- - Defined in flash-message/flash-message.tsx:19

  #### Parameters

  - ##### message: string

  - ##### activeClass: string

  - ##### Default value duration: number = 2000

  #### Returns Promise<void>